MCP Tools Reference: managedkafka

Tool: list_connectors

List all connectors for Google Cloud Managed Service for Apache Kafka Connect for a given project, location, and Connect cluster. Please provide the Project ID, Location, and Connect Cluster ID.

A ListConnectorsRequest is used to list connectors.

  • parent (required): The parent Connect cluster whose connectors are to be listed. Structured like projects/{project}/locations/{location}/connectClusters/{connect_cluster_id}.
  • page_size (optional): The maximum number of connectors to return. The service may return fewer than this value. If unspecified, the server will pick an appropriate default.
  • page_token (optional): A page token, received from a previous ListConnectors call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListConnectors must match the call that provided the page token.

The following sample demonstrate how to use curl to invoke the list_connectors MCP tool.

Curl Request
                  
curl --location 'https://managedkafka.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_connectors",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request for ListConnectors.

ListConnectorsRequest

JSON representation
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string
}
Fields
parent

string

Required. The parent Connect cluster whose connectors are to be listed. Structured like projects/{project}/locations/{location}/connectClusters/{connect_cluster_id}.

pageSize

integer

Optional. The maximum number of connectors to return. The service may return fewer than this value. If unspecified, server will pick an appropriate default.

pageToken

string

Optional. A page token, received from a previous ListConnectors call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to ListConnectors must match the call that provided the page token.

Output Schema

Response for ListConnectors.

ListConnectorsResponse

JSON representation
{
  "connectors": [
    {
      object (Connector)
    }
  ],
  "nextPageToken": string
}
Fields
connectors[]

object (Connector)

The list of connectors in the requested parent.

nextPageToken

string

A token that can be sent as page_token to retrieve the next page of results. If this field is omitted, there are no more results.

Connector

JSON representation
{
  "name": string,
  "configs": {
    string: string,
    ...
  },
  "state": enum (State),

  // Union field restart_policy can be only one of the following:
  "taskRestartPolicy": {
    object (TaskRetryPolicy)
  }
  // End of list of possible types for union field restart_policy.
}
Fields
name

string

Identifier. The name of the connector. Structured like: projects/{project}/locations/{location}/connectClusters/{connect_cluster}/connectors/{connector}

configs

map (key: string, value: string)

Optional. Connector config as keys/values. The keys of the map are connector property names, for example: connector.class, tasks.max, key.converter.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

state

enum (State)

Output only. The current state of the connector.

Union field restart_policy. A policy that specifies how to restart the failed connectors/tasks in a Cluster resource. If not set, the failed connectors/tasks won't be restarted. restart_policy can be only one of the following:
taskRestartPolicy

object (TaskRetryPolicy)

Optional. Restarts the individual tasks of a Connector.

TaskRetryPolicy

JSON representation
{
  "minimumBackoff": string,
  "maximumBackoff": string,
  "taskRetryDisabled": boolean
}
Fields
minimumBackoff

string (Duration format)

Optional. The minimum amount of time to wait before retrying a failed task. This sets a lower bound for the backoff delay.

A duration in seconds with up to nine fractional digits, ending with 's'. Example: "3.5s".

maximumBackoff

string (Duration format)

Optional. The maximum amount of time to wait before retrying a failed task. This sets an upper bound for the backoff delay.

A duration in seconds with up to nine fractional digits, ending with 's'. Example: "3.5s".

taskRetryDisabled

boolean

Optional. If true, task retry is disabled.

Duration

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Signed seconds of the span of time. Must be from -315,576,000,000 to +315,576,000,000 inclusive. Note: these bounds are computed from: 60 sec/min * 60 min/hr * 24 hr/day * 365.25 days/year * 10000 years

nanos

integer

Signed fractions of a second at nanosecond resolution of the span of time. Durations less than one second are represented with a 0 seconds field and a positive or negative nanos field. For durations of one second or more, a non-zero value for the nanos field must be of the same sign as the seconds field. Must be from -999,999,999 to +999,999,999 inclusive.

ConfigsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌